signature TRANS_SMV =
  sig

    structure Hash : HASH
    structure Trans: TRANS

    type ParseTree = Trans.Abstract.ParserDefault.ParseTreeStruct.ParseTree
    type DefExpr = Trans.DefExpr
    type DefAsst = Trans.DefAsst
    type options = Trans.Abstract.ParserDefault.Interface.Options.options
    type Str = Str.Str
    type VarSMVMapping = (ParseTree, Str) Hash.Hash
    type TypeValueMapping = (ParseTree, Str list) Hash.Hash
    type Abstraction = Trans.Abstract.Abstraction

    (* SMVcode(options, findObject, lim) (specs, vars, defAsst).
       Generate SMV code, mapping of SyMP to SMV vars, and mapping of values. *)
    val SMVcode : options * (ParseTree -> ParseTree option) * int * Abstraction
                   -> (DefExpr list) * (ParseTree list) * DefAsst
	           -> (Str * VarSMVMapping * TypeValueMapping)

  end
