signature POS =
  sig
    type Pos = int * int
    (* Dummy position to use in creating new ParseTree nodes *)
    val dp: Pos

    (* Compute the earliest and latest position out of the list.
       These functions are smart enough to remove the dummy position
       if it's possible. *)
    val minPos: Pos list -> Pos
    val maxPos: Pos list -> Pos
    val pos2string: Pos -> string
    val posRange2string: Pos * Pos -> string
  end

